<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    
    <parent>
        <groupId>org.languagetool</groupId>
        <artifactId>languagetool-parent</artifactId>
        <version>5.4</version>
        <relativePath>../../pom.xml</relativePath>
    </parent>
    
    <artifactId>language-es</artifactId>
    <url>https://www.languagetool.org</url>
    <name>Spanish module for LanguageTool</name>

    <licenses>
        <license>
            <name>GNU Lesser General Public License</name>
            <url>http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt</url>
            <distribution>repo</distribution>
            <comments>The license refers to the source code, resources may be under different licenses</comments>
        </license>
    </licenses>
    
    <packaging>jar</packaging>

    <developers>
        <developer>
            <name>Juan Martorell</name>
            <roles><role>Maintainer</role></roles>
        </developer>
        <developer>
            <name>Daniel Naber</name>
            <roles><role>Maintainer</role></roles>
        </developer>
        <developer>
            <name>Marcin Miłkowski</name>
            <roles><role>Maintainer</role></roles>
        </developer>
    </developers>
    
    <build>
        <plugins>
            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
            </plugin>
            <plugin>
                <artifactId>maven-surefire-plugin</artifactId>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>org.languagetool</groupId>
            <artifactId>languagetool-core</artifactId>
            <version>${languagetool.version}</version>
        </dependency>
        <dependency>
            <groupId>org.softcatala</groupId>
            <artifactId>spanish-pos-dict</artifactId>
            <version>1.2</version>
            <exclusions>
                <exclusion>
                    <groupId>org.carrot2</groupId>
                    <artifactId>morfologik-stemming</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.carrot2</groupId>
                    <artifactId>morfologik-fsa</artifactId>
                </exclusion>
            </exclusions>
	    </dependency>
        <dependency>
            <!-- see http://stackoverflow.com/questions/174560/sharing-test-code-in-maven#174670 -->
            <groupId>org.languagetool</groupId>
            <artifactId>languagetool-core</artifactId>
            <version>${languagetool.version}</version>
            <type>test-jar</type>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${junit.version}</version>
            <scope>test</scope>
        </dependency>
    </dependencies>

</project>